Index: usr.bin/ee/ee.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/ee/ee.c,v
retrieving revision 1.4
diff -u -r1.4 ee.c
--- usr.bin/ee/ee.c	15 Jan 2006 00:07:31 -0000	1.4
+++ usr.bin/ee/ee.c	24 Aug 2008 21:06:29 -0000
@@ -64,13 +64,7 @@
 
 char *version = "@(#) ee, version 1.4.1";
 
-#ifdef NCURSE
-#include "new_curse.h"
-#elif HAS_NCURSES
 #include <ncurses.h>
-#else
-#include <curses.h>
-#endif
 
 #ifdef HAS_CTYPE
 #include <ctype.h>
@@ -222,13 +216,6 @@
 WINDOW *info_win;
 WINDOW *count_win;
 
-#if defined(__STDC__) || defined(__cplusplus)
-#define P_(s) s
-#else
-#define P_(s) ()
-#endif
-
-
 /*
  |	The following structure allows menu items to be flexibly declared.
  |	The first item is the string describing the selection, the second 
@@ -250,101 +237,100 @@
 
 struct menu_entries {
 	char *item_string;
-	int (*procedure)P_((struct menu_entries *));
+	int (*procedure)(struct menu_entries *);
 	struct menu_entries *ptr_argument;
-	int (*iprocedure)P_((int));
-	void (*nprocedure)P_((void));
+	int (*iprocedure)(int);
+	void (*nprocedure)(void);
 	int argument;
 	};
 
-int main P_((int argc, char *argv[]));
-unsigned char *resiz_line P_((int factor, struct text *rline, int rpos));
-void insert P_((int character));
-void delete P_((int disp));
-void scanline P_((unsigned char *pos));
-int tabshift P_((int temp_int));
-int out_char P_((WINDOW *window, int character, int column));
-int len_char P_((int character, int column));
-void draw_line P_((int vertical, int horiz, unsigned char *ptr, int t_pos, int length));
-void insert_line P_((int disp));
-struct text *txtalloc P_((void));
-struct files *name_alloc P_((void));
-unsigned char *next_word P_((unsigned char *string));
-void prev_word P_((void));
-void control P_((void));
-void emacs_control P_((void));
-void bottom P_((void));
-void top P_((void));
-void nextline P_((void));
-void prevline P_((void));
-void left P_((int disp));
-void right P_((int disp));
-void find_pos P_((void));
-void up P_((void));
-void down P_((void));
-void function_key P_((void));
-void print_buffer P_((void));
-void command_prompt P_((void));
-void command P_((char *cmd_str1));
-int scan P_((char *line, int offset, int column));
-char *get_string P_((char *prompt, int advance));
-int compare P_((char *string1, char *string2, int sensitive));
-void goto_line P_((char *cmd_str));
-void midscreen P_((int line, unsigned char *pnt));
-void get_options P_((int numargs, char *arguments[]));
-void check_fp P_((void));
-void get_file P_((char *file_name));
-void get_line P_((int length, unsigned char *in_string, int *append));
-void draw_screen P_((void));
-void finish P_((void));
-int quit P_((int noverify));
-void edit_abort P_((int arg));
-void delete_text P_((void));
-int write_file P_((char *file_name, int warn_if_exists));
-int search P_((int display_message));
-void search_prompt P_((void));
-void del_char P_((void));
-void undel_char P_((void));
-void del_word P_((void));
-void undel_word P_((void));
-void del_line P_((void));
-void undel_line P_((void));
-void adv_word P_((void));
-void move_rel P_((char *direction, int lines));
-void eol P_((void));
-void bol P_((void));
-void adv_line P_((void));
-void sh_command P_((char *string));
-void set_up_term P_((void));
-void resize_check P_((void));
-int menu_op P_((struct menu_entries *));
-void paint_menu P_((struct menu_entries menu_list[], int max_width, int max_height, int list_size, int top_offset, WINDOW *menu_win, int off_start, int vert_size));
-void help P_((void));
-void paint_info_win P_((void));
-void no_info_window P_((void));
-void create_info_window P_((void));
-int file_op P_((int arg));
-void shell_op P_((void));
-void leave_op P_((void));
-void redraw P_((void));
-int Blank_Line P_((struct text *test_line));
-void Format P_((void));
-void ee_init P_((void));
-void dump_ee_conf P_((void));
-void echo_string P_((char *string));
-void spell_op P_((void));
-void ispell_op P_((void));
-int first_word_len P_((struct text *test_line));
-void Auto_Format P_((void));
-void modes_op P_((void));
-char *is_in_string P_((char *string, char *substring));
-char *resolve_name P_((char *name));
-int restrict_mode P_((void));
-int unique_test P_((char *string, char *list[]));
-void renumber_lines P_((struct text *firstline, int startnumber));
-void strings_init P_((void));
+int main(int argc, char *argv[]);
+unsigned char *resiz_line(int factor, struct text *rline, int rpos);
+void insert(int character);
+void delete(int disp);
+void scanline(unsigned char *pos);
+int tabshift(int temp_int);
+int out_char(WINDOW *window, int character, int column);
+int len_char(int character, int column);
+void draw_line(int vertical, int horiz, unsigned char *ptr, int t_pos, int length);
+void insert_line(int disp);
+struct text *txtalloc(void);
+struct files *name_alloc(void);
+unsigned char *next_word(unsigned char *string);
+void prev_word(void);
+void control(void);
+void emacs_control(void);
+void bottom(void);
+void top(void);
+void nextline(void);
+void prevline(void);
+void left(int disp);
+void right(int disp);
+void find_pos(void);
+void up(void);
+void down(void);
+void function_key(void);
+void print_buffer(void);
+void command_prompt(void);
+void command(char *cmd_str1);
+int scan(char *line, int offset, int column);
+char *get_string(char *prompt, int advance);
+int compare(char *string1, char *string2, int sensitive);
+void goto_line(char *cmd_str);
+void midscreen(int line, unsigned char *pnt);
+void get_options(int numargs, char *arguments[]);
+void check_fp(void);
+void get_file(char *file_name);
+void get_line(int length, unsigned char *in_string, int *append);
+void draw_screen(void);
+void finish(void);
+int quit(int noverify);
+void edit_abort(int arg);
+void delete_text(void);
+int write_file(char *file_name, int warn_if_exists);
+int search(int display_message);
+void search_prompt(void);
+void del_char(void);
+void undel_char(void);
+void del_word(void);
+void undel_word(void);
+void del_line(void);
+void undel_line(void);
+void adv_word(void);
+void move_rel(char *direction, int lines);
+void eol(void);
+void bol(void);
+void adv_line(void);
+void sh_command(char *string);
+void set_up_term(void);
+void resize_check(void);
+int menu_op(struct menu_entries *);
+void paint_menu(struct menu_entries menu_list[], int max_width, int max_height, int list_size, int top_offset, WINDOW *menu_win, int off_start, int vert_size);
+void help(void);
+void paint_info_win(void);
+void no_info_window(void);
+void create_info_window(void);
+int file_op(int arg);
+void shell_op(void);
+void leave_op(void);
+void redraw(void);
+int Blank_Line(struct text *test_line);
+void Format(void);
+void ee_init(void);
+void dump_ee_conf(void);
+void echo_string(char *string);
+void spell_op(void);
+void ispell_op(void);
+int first_word_len(struct text *test_line);
+void Auto_Format(void);
+void modes_op(void);
+char *is_in_string(char *string, char *substring);
+char *resolve_name(char *name);
+int restrict_mode(void);
+int unique_test(char *string, char *list[]);
+void renumber_lines(struct text *firstline, int startnumber);
+void strings_init(void);
 
-#undef P_
 /*
  |	allocate space here for the strings that will be in the menu
  */
@@ -1765,19 +1751,9 @@
 	else if (compare(cmd_str, Exit_string, FALSE))
 		finish();
 	else if (compare(cmd_str, chinese_cmd, FALSE))
-	{
 		ee_chinese = TRUE;
-#ifdef NCURSE
-		nc_setattrib(A_NC_BIG5);
-#endif /* NCURSE */
-	}
 	else if (compare(cmd_str, nochinese_cmd, FALSE))
-	{
 		ee_chinese = FALSE;
-#ifdef NCURSE
-		nc_clearattrib(A_NC_BIG5);
-#endif /* NCURSE */
-	}
 	else if (compare(cmd_str, QUIT_string, FALSE))
 		quit(0);
 	else if (*cmd_str == '!')
@@ -3040,10 +3016,6 @@
 		nl();
 		noraw();
 		resetty();
-
-#ifndef NCURSE
-		endwin();
-#endif
 	}
 
 	if (in_pipe)
@@ -3244,12 +3216,6 @@
 	last_col = COLS - 1;
 	local_LINES = LINES;
 	local_COLS = COLS;
-
-#ifdef NCURSE
-	if (ee_chinese)
-		nc_setattrib(A_NC_BIG5);
-#endif /* NCURSE */
-
 }
 
 void 
@@ -4725,13 +4691,6 @@
 				eightbit = !eightbit;
 				if (!eightbit)
 					ee_chinese = FALSE;
-#ifdef NCURSE
-				if (ee_chinese)
-					nc_setattrib(A_NC_BIG5);
-				else
-					nc_clearattrib(A_NC_BIG5);
-#endif /* NCURSE */
-
 				redraw();
 				wnoutrefresh(text_win);
 				break;
@@ -4760,12 +4719,6 @@
 				ee_chinese = !ee_chinese;
 				if (ee_chinese != FALSE)
 					eightbit = TRUE;
-#ifdef NCURSE
-				if (ee_chinese)
-					nc_setattrib(A_NC_BIG5);
-				else
-					nc_clearattrib(A_NC_BIG5);
-#endif /* NCURSE */
 				redraw();
 				break;
 			default:
Index: usr.bin/gencat/gencat.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/gencat/gencat.c,v
retrieving revision 1.4
diff -u -r1.4 gencat.c
--- usr.bin/gencat/gencat.c	31 Aug 2005 18:11:05 -0000	1.4
+++ usr.bin/gencat/gencat.c	24 Aug 2008 18:50:20 -0000
@@ -122,28 +122,26 @@
 static void	*xmalloc(size_t);
 static void	*xrealloc(void *, size_t);
 
-void	MCParse __P((int fd));
-void	MCReadCat __P((int fd));
-void	MCWriteCat __P((int fd));
-void	MCDelMsg __P((int msgId));
-void	MCAddMsg __P((int msgId, const char *msg));
-void	MCAddSet __P((int setId));
-void	MCDelSet __P((int setId));
-int	main __P((int, char **));
-void	usage __P((void));
+void	MCParse(int fd);
+void	MCReadCat(int fd);
+void	MCWriteCat(int fd);
+void	MCDelMsg(int msgId);
+void	MCAddMsg(int msgId, const char *msg);
+void	MCAddSet(int setId);
+void	MCDelSet(int setId);
+int	main(int, char **);
+void	usage(void);
 
 
 void
-usage()
+usage(void)
 {
 	fprintf(stderr, "usage: %s catfile msgfile ...\n", getprogname());
 	exit(1);
 }
 
 int
-main(argc, argv)
-	int     argc;
-	char   *argv[];
+main(int argc, char *argv[])
 {
 	int     ofd, ifd;
 	char   *catfile = NULL;
@@ -179,9 +177,7 @@
 }
 
 static void
-warning(cptr, msg)
-	char   *cptr;
-	char   *msg;
+warning(char *cptr, char *msg)
 {
 	fprintf(stderr, "%s: %s on line %ld\n", getprogname(), msg, lineno);
 	fprintf(stderr, "%s\n", curline);
@@ -194,9 +190,7 @@
 }
 
 static void
-error(cptr, msg)
-	char   *cptr;
-	char   *msg;
+error(char *cptr, char *msg)
 {
 	warning(cptr, msg);
 	exit(1);
@@ -204,21 +198,20 @@
 
 #if 0	/* XXX unused */
 static void
-corrupt()
+corrupt(void)
 {
 	error(NULL, "corrupt message catalog");
 }
 #endif
 
 static void
-nomem()
+nomem(void)
 {
 	error(NULL, "out of memory");
 }
 
 static void *
-xmalloc(len)
-	size_t  len;
+xmalloc(size_t len)
 {
 	void   *p;
 
@@ -228,9 +221,7 @@
 }
 
 static void *
-xrealloc(ptr, size)
-	void   *ptr;
-	size_t  size;
+xrealloc(void *ptr, size_t size)
 {
 	if ((ptr = realloc(ptr, size)) == NULL)
 		nomem();
@@ -238,8 +229,7 @@
 }
 
 static char *
-xstrdup(str)
-	const char   *str;
+xstrdup(const char *str)
 {
 	char *nstr;
 
@@ -249,8 +239,7 @@
 }
 
 static char *
-getline(fd)
-	int     fd;
+getline(int fd)
 {
 	static long curlen = BUFSIZ;
 	static char buf[BUFSIZ], *bptr = buf, *bend = buf;
@@ -293,8 +282,7 @@
 }
 
 static char *
-wskip(cptr)
-	char   *cptr;
+wskip(char *cptr)
 {
 	if (!*cptr || !isspace((unsigned char) *cptr)) {
 		warning(cptr, "expected a space");
@@ -306,8 +294,7 @@
 }
 
 static char *
-cskip(cptr)
-	char   *cptr;
+cskip(char *cptr)
 {
 	if (!*cptr || isspace((unsigned char) *cptr)) {
 		warning(cptr, "wasn't expecting a space");
@@ -319,10 +306,7 @@
 }
 
 static char *
-getmsg(fd, cptr, quote)
-	int     fd;
-	char   *cptr;
-	char    quote;
+getmsg(int fd, char *cptr, char quote)
 {
 	static char *msg = NULL;
 	static long msglen = 0;
@@ -422,8 +406,7 @@
 }
 
 void
-MCParse(fd)
-	int     fd;
+MCParse(int fd)
 {
 	char   *cptr, *str;
 	int     setid, msgid = 0;
@@ -500,8 +483,7 @@
 }
 
 void
-MCReadCat(fd)
-	int     fd;
+MCReadCat(int fd)
 {
 #if 0
 	MCHeaderT mcHead;
@@ -592,8 +574,7 @@
  * that would otherwise be required.
  */
 void
-MCWriteCat(fd)
-	int     fd;
+MCWriteCat(int fd)
 {
 	int     nsets;		/* number of sets */
 	int     nmsgs;		/* number of msgs */
@@ -698,8 +679,7 @@
 }
 
 void
-MCAddSet(setId)
-	int     setId;
+MCAddSet(int setId)
 {
 	struct _setT *p, *q;
 
@@ -736,9 +716,7 @@
 }
 
 void
-MCAddMsg(msgId, str)
-	int     msgId;
-	const char *str;
+MCAddMsg(int msgId, const char *str)
 {
 	struct _msgT *p, *q;
 
@@ -776,8 +754,7 @@
 }
 
 void
-MCDelSet(setId)
-	int     setId;
+MCDelSet(int setId)
 {
 	struct _setT *set;
 	struct _msgT *msg;
@@ -800,8 +777,7 @@
 }
 
 void
-MCDelMsg(msgId)
-	int     msgId;
+MCDelMsg(int msgId)
 {
 	struct _msgT *msg;
 
Index: usr.bin/gprof/gprof.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/gprof/gprof.c,v
retrieving revision 1.5
diff -u -r1.5 gprof.c
--- usr.bin/gprof/gprof.c	22 Jan 2006 03:43:37 -0000	1.5
+++ usr.bin/gprof/gprof.c	24 Aug 2008 09:41:31 -0000
@@ -399,7 +399,7 @@
 
 readsamples(FILE *pfile)
 {
-    register i;
+    int		i;
     UNIT	sample;
 
     if (samples == 0) {
Index: usr.bin/kdump/kdump.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/kdump/kdump.c,v
retrieving revision 1.10
diff -u -r1.10 kdump.c
--- usr.bin/kdump/kdump.c	7 Jan 2008 01:35:43 -0000	1.10
+++ usr.bin/kdump/kdump.c	24 Aug 2008 21:02:57 -0000
@@ -67,7 +67,7 @@
 {
 	int ch, col, ktrlen, size;
 	pid_t do_pid = -1;
-	register void *m;
+	void *m;
 	int trpoints = ALL_POINTS;
 	char *cp;
 
@@ -244,10 +244,10 @@
 	"PT_KILL",	"PT_STEP",	"PT_ATTACH",	"PT_DETACH",
 };
 
-ktrsyscall(register struct ktr_syscall *ktr)
+ktrsyscall(struct ktr_syscall *ktr)
 {
-	register narg = ktr->ktr_narg;
-	register register_t *ip;
+	int narg = ktr->ktr_narg;
+	register_t *ip;
 	char *ioctlname();
 
 	if (ktr->ktr_code >= nsyscalls || ktr->ktr_code < 0)
@@ -658,9 +658,9 @@
 
 ktrsysret(struct ktr_sysret *ktr)
 {
-	register register_t ret = ktr->ktr_retval;
-	register int error = ktr->ktr_error;
-	register int code = ktr->ktr_code;
+	register_t ret = ktr->ktr_retval;
+	int error = ktr->ktr_error;
+	int code = ktr->ktr_code;
 
 	if (code >= nsyscalls || code < 0)
 		(void)printf("[%d] ", code);
@@ -697,11 +697,11 @@
 
 ktrgenio(struct ktr_genio *ktr, int len)
 {
-	register int datalen = len - sizeof (struct ktr_genio);
-	register char *dp = (char *)ktr + sizeof (struct ktr_genio);
-	register char *cp;
-	register int col = 0;
-	register width;
+	int datalen = len - sizeof (struct ktr_genio);
+	char *dp = (char *)ktr + sizeof (struct ktr_genio);
+	char *cp;
+	int col = 0;
+	int width;
 	char visbuf[5];
 	static screenwidth = 0;
 
Index: usr.bin/lex/flex.skl
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/flex.skl,v
retrieving revision 1.8
diff -u -r1.8 flex.skl
--- usr.bin/lex/flex.skl	21 Jun 2008 19:32:14 -0000	1.8
+++ usr.bin/lex/flex.skl	24 Aug 2008 09:45:53 -0000
@@ -448,9 +448,9 @@
 
 YY_DECL
 	{
-	register yy_state_type yy_current_state;
-	register char *yy_cp, *yy_bp;
-	register int yy_act;
+	yy_state_type yy_current_state;
+	char *yy_cp, *yy_bp;
+	int yy_act;
 
 %% user's declarations go here
 
@@ -747,9 +747,9 @@
 int yyFlexLexer::yy_get_next_buffer()
 %*
 	{
-	register char *dest = yy_current_buffer->yy_ch_buf;
-	register char *source = yytext_ptr;
-	register int number_to_move, i;
+	char *dest = yy_current_buffer->yy_ch_buf;
+	char *source = yytext_ptr;
+	int number_to_move, i;
 	int ret_val;
 
 	if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
@@ -887,8 +887,8 @@
 yy_state_type yyFlexLexer::yy_get_previous_state()
 %*
 	{
-	register yy_state_type yy_current_state;
-	register char *yy_cp;
+	yy_state_type yy_current_state;
+	char *yy_cp;
 
 %% code to get the start state into yy_current_state goes here
 
@@ -918,7 +918,7 @@
 yy_state_type yyFlexLexer::yy_try_NUL_trans( yy_state_type yy_current_state )
 %*
 	{
-	register int yy_is_jam;
+	int yy_is_jam;
 %% code to find the next state, and perhaps do backing up, goes here
 
 	return yy_is_jam ? 0 : yy_current_state;
@@ -928,17 +928,17 @@
 %-
 #ifndef YY_NO_UNPUT
 #ifdef YY_USE_PROTOS
-static void yyunput( int c, register char *yy_bp )
+static void yyunput( int c, char *yy_bp )
 #else
 static void yyunput( c, yy_bp )
 int c;
-register char *yy_bp;
+char *yy_bp;
 #endif
 %+
-void yyFlexLexer::yyunput( int c, register char* yy_bp )
+void yyFlexLexer::yyunput( int c, char* yy_bp )
 %*
 	{
-	register char *yy_cp = yy_c_buf_p;
+	char *yy_cp = yy_c_buf_p;
 
 	/* undo effects of setting up yytext */
 	*yy_cp = yy_hold_char;
@@ -946,11 +946,10 @@
 	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
 		{ /* need to shift things up to make room */
 		/* +2 for EOB chars. */
-		register int number_to_move = yy_n_chars + 2;
-		register char *dest = &yy_current_buffer->yy_ch_buf[
+		int number_to_move = yy_n_chars + 2;
+		char *dest = &yy_current_buffer->yy_ch_buf[
 					yy_current_buffer->yy_buf_size + 2];
-		register char *source =
-				&yy_current_buffer->yy_ch_buf[number_to_move];
+		char *source = &yy_current_buffer->yy_ch_buf[number_to_move];
 
 		while ( source > yy_current_buffer->yy_ch_buf )
 			*--dest = *--source;
@@ -1485,7 +1484,7 @@
 int n;
 #endif
 	{
-	register int i;
+	int i;
 	for ( i = 0; i < n; ++i )
 		s1[i] = s2[i];
 	}
@@ -1499,7 +1498,7 @@
 yyconst char *s;
 #endif
 	{
-	register int n;
+	int n;
 	for ( n = 0; s[n]; ++n )
 		;
 
Index: usr.bin/lex/gen.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/gen.c,v
retrieving revision 1.5
diff -u -r1.5 gen.c
--- usr.bin/lex/gen.c	3 Feb 2008 13:14:12 -0000	1.5
+++ usr.bin/lex/gen.c	24 Aug 2008 09:46:36 -0000
@@ -446,7 +446,7 @@
 
 void gen_next_compressed_state(char *char_map)
 	{
-	indent_put2s( "register YY_CHAR yy_c = %s;", char_map );
+	indent_put2s( "YY_CHAR yy_c = %s;", char_map );
 
 	/* Save the backing-up info \before/ computing the next state
 	 * because we always compute one more state than needed - we
@@ -533,8 +533,8 @@
 		{
 		indent_puts( "{" );	/* } for vi */
 		indent_puts(
-		"register yyconst struct yy_trans_info *yy_trans_info;\n" );
-		indent_puts( "register YY_CHAR yy_c;\n" );
+		"yyconst struct yy_trans_info *yy_trans_info;\n" );
+		indent_puts( "YY_CHAR yy_c;\n" );
 		indent_put2s( "for ( yy_c = %s;", char_map );
 		indent_puts(
 	"      (yy_trans_info = &yy_current_state[(unsigned int) yy_c])->" );
@@ -674,7 +674,7 @@
 		/* We're going to need yy_cp lying around for the call
 		 * below to gen_backing_up().
 		 */
-		indent_puts( "register char *yy_cp = yy_c_buf_p;" );
+		indent_puts( "char *yy_cp = yy_c_buf_p;" );
 
 	outc( '\n' );
 
@@ -696,10 +696,10 @@
 	else if ( fullspd )
 		{
 		do_indent();
-		out_dec( "register int yy_c = %d;\n", NUL_ec );
+		out_dec( "int yy_c = %d;\n", NUL_ec );
 
 		indent_puts(
-		"register yyconst struct yy_trans_info *yy_trans_info;\n" );
+		"yyconst struct yy_trans_info *yy_trans_info;\n" );
 		indent_puts(
 		"yy_trans_info = &yy_current_state[(unsigned int) yy_c];" );
 		indent_puts( "yy_current_state += yy_trans_info->yy_nxt;" );
Index: usr.bin/lex/parse.y
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/parse.y,v
retrieving revision 1.4
diff -u -r1.4 parse.y
--- usr.bin/lex/parse.y	21 Jun 2008 19:29:21 -0000	1.4
+++ usr.bin/lex/parse.y	24 Aug 2008 09:47:24 -0000
@@ -769,7 +769,7 @@
 
 void build_eof_action( void )
 	{
-	register int i;
+	int i;
 	char action_text[MAXLINE];
 
 	for ( i = 1; i <= scon_stk_ptr; ++i )
Index: usr.bin/lex/scan.l
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/scan.l,v
retrieving revision 1.3
diff -u -r1.3 scan.l
--- usr.bin/lex/scan.l	21 Jun 2008 19:29:21 -0000	1.3
+++ usr.bin/lex/scan.l	24 Aug 2008 09:47:36 -0000
@@ -435,7 +435,7 @@
 			}
 
 	"{"{NAME}"}"	{
-			register Char *nmdefptr;
+			Char *nmdefptr;
 			Char *ndlookup();
 
 			strcpy( nmstr, yytext + 1 );
Index: usr.bin/locate/locate/locate.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/locate/locate/locate.c,v
retrieving revision 1.4
diff -u -r1.4 locate.c
--- usr.bin/locate/locate/locate.c	6 Nov 2003 19:30:04 -0000	1.4
+++ usr.bin/locate/locate/locate.c	24 Aug 2008 09:48:09 -0000
@@ -132,7 +132,7 @@
         int argc;
         char **argv;
 {
-        register int ch;
+        int ch;
         char **dbv = NULL;
 #ifdef MMAP
         f_mmap = 1;		/* mmap is default */
Index: usr.bin/pr/egetopt.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/pr/egetopt.c,v
retrieving revision 1.3
diff -u -r1.3 egetopt.c
--- usr.bin/pr/egetopt.c	4 Oct 2003 20:36:50 -0000	1.3
+++ usr.bin/pr/egetopt.c	24 Aug 2008 09:48:49 -0000
@@ -70,9 +70,9 @@
 egetopt(int nargc, char * const *nargv, const char *ostr)
 {
 	static char *place = EMSG;	/* option letter processing */
-	register char *oli;		/* option letter list index */
+	char *oli;			/* option letter list index */
 	static int delim;		/* which option delimeter */
-	register char *p;
+	char *p;
 	static char savec = '\0';
 
 	if (savec != '\0') {
Index: usr.bin/pr/pr.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/pr/pr.c,v
retrieving revision 1.3
diff -u -r1.3 pr.c
--- usr.bin/pr/pr.c	4 Oct 2003 20:36:50 -0000	1.3
+++ usr.bin/pr/pr.c	24 Aug 2008 09:49:53 -0000
@@ -160,11 +160,11 @@
 int
 onecol(int argc, char **argv)
 {
-	register int cnt = -1;
-	register int off;
-	register int lrgln;
-	register int linecnt;
-	register int num;
+	int cnt = -1;
+	int off;
+	int lrgln;
+	int linecnt;
+	int num;
 	int lncnt;
 	int pagecnt;
 	int ips;
@@ -305,13 +305,13 @@
 int
 vertcol(int argc, char **argv)
 {
-	register char *ptbf;
-	register char **lstdat;
-	register int i;
-	register int j;
-	register int cnt = -1;
-	register int pln;
-	register int *indy;
+	char *ptbf;
+	char **lstdat;
+	int i;
+	int j;
+	int cnt = -1;
+	int pln;
+	int *indy;
 	int cvc;
 	int *lindy;
 	int lncnt;
@@ -626,13 +626,13 @@
 int
 horzcol(int argc, char **argv)
 {
-	register char *ptbf;
-	register int pln;
-	register int cnt = -1;
-	register char *lstdat;
-	register int col = colwd + 1;
-	register int j;
-	register int i;
+	char *ptbf;
+	int pln;
+	int cnt = -1;
+	char *lstdat;
+	int col = colwd + 1;
+	int j;
+	int i;
 	int lncnt;
 	int pagecnt;
 	char *buf;
@@ -769,12 +769,12 @@
 int
 mulfile(int argc, char **argv)
 {
-	register char *ptbf;
-	register int j;
-	register int pln;
-	register int cnt;
-	register char *lstdat;
-	register int i;
+	char *ptbf;
+	int j;
+	int pln;
+	int cnt;
+	char *lstdat;
+	int i;
 	FILE **fbuf;
 	int actf;
 	int lncnt;
@@ -981,13 +981,13 @@
  *	mor:	set if more data in line (not truncated)
  */
 int
-inln(FILE *inf, char *buf, register int lim, int *cps, int trnc, int *mor)
+inln(FILE *inf, char *buf, int lim, int *cps, int trnc, int *mor)
 {
-	register int col;
-	register int gap = ingap;
-	register int ch = EOF;
-	register char *ptbuf;
-	register int chk = (int)inchar;
+	int col;
+	int gap = ingap;
+	int ch = EOF;
+	char *ptbuf;
+	int chk = (int)inchar;
 
 	ptbuf = buf;
 
@@ -1086,13 +1086,13 @@
  *		1 is more, 0 is complete, -1 is no \n's
  */
 int
-otln(register char *buf, int cnt, int *svips, int *svops, int mor)
+otln(char *buf, int cnt, int *svips, int *svops, int mor)
 {
-	register int ops;		/* last col output */
-	register int ips;		/* last col in buf examined */
-	register int gap = ogap;
-	register int tbps;
-	register char *endbuf;
+	int ops;			/* last col output */
+	int ips;			/* last col in buf examined */
+	int gap = ogap;
+	int tbps;
+	char *endbuf;
 
 	if (ogap) {
 		/*
@@ -1223,10 +1223,10 @@
  *	lncnt	number of lines per page
  */
 int
-inskip(FILE *inf, register int pgcnt, register int lncnt)
+inskip(FILE *inf, int pgcnt, int lncnt)
 {
-	register int c;
-	register int cnt;
+	int c;
+	int cnt;
 
 	while(--pgcnt > 0) {
 		cnt = lncnt;
@@ -1387,9 +1387,9 @@
  *		numbers as part of the column so spaces may be replaced.
  */
 void
-addnum(register char *buf, register int wdth, register int line)
+addnum(char *buf, int wdth, int line)
 {
-	register char *pt = buf + wdth;
+	char *pt = buf + wdth;
 
 	do {
 		*--pt = digs[line % 10];
@@ -1447,7 +1447,7 @@
  *	incomp	was a '\n' missing from last line output
  */
 int
-prtail(register int cnt, int incomp)
+prtail(int cnt, int incomp)
 {
 	if (nohead) {
 		/*
@@ -1561,9 +1561,9 @@
  *		checks on options
  */
 int
-setup(register int argc, register char **argv)
+setup(int argc, char **argv)
 {
-	register int c;
+	int c;
 	int d_first;
 	int eflag = 0;
 	int iflag = 0;
Index: usr.bin/rdist/docmd.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/docmd.c,v
retrieving revision 1.4
diff -u -r1.4 docmd.c
--- usr.bin/rdist/docmd.c	24 Jul 2004 19:45:10 -0000	1.4
+++ usr.bin/rdist/docmd.c	24 Aug 2008 18:26:36 -0000
@@ -65,9 +65,9 @@
 void
 docmds(char **dhosts, int argc, char **argv)
 {
-	register struct cmd *c;
-	register struct namelist *f;
-	register char **cpp;
+	struct cmd *c;
+	struct namelist *f;
+	char **cpp;
 	extern struct cmd *cmds;
 
 	signal(SIGHUP, cleanup);
@@ -118,9 +118,9 @@
 static void
 doarrow(char **filev, struct namelist *files, char *rhost, struct subcmd *cmds)
 {
-	register struct namelist *f;
-	register struct subcmd *sc;
-	register char **cpp;
+	struct namelist *f;
+	struct subcmd *sc;
+	char **cpp;
 	int n, ddir, opts = options;
 
 	if (debug)
@@ -244,7 +244,7 @@
 static int
 makeconn(char *rhost)
 {
-	register char *ruser, *cp;
+	char *ruser, *cp;
 	static char *cur_host = NULL;
 	static int port = -1;
 	char tuser[20];
@@ -335,7 +335,7 @@
  * Signal end of previous connection.
  */
 static void
-closeconn()
+closeconn(void)
 {
 	if (debug)
 		printf("closeconn()\n");
@@ -357,10 +357,10 @@
 }
 
 static int
-okname(register char *name)
+okname(char *name)
 {
-	register char *cp;
-	register int c;
+	char *cp;
+	int c;
 
 	cp = name;
 
@@ -388,9 +388,9 @@
 static void
 dodcolon(char **filev, struct namelist *files, char *stamp, struct subcmd *cmds)
 {
-	register struct subcmd *sc;
-	register struct namelist *f;
-	register char **cpp;
+	struct subcmd *sc;
+	struct namelist *f;
+	char **cpp;
 	struct timeval tv[2];
 	struct timezone tz;
 	struct stat stb;
@@ -498,9 +498,9 @@
 static void
 rcmptime(struct stat *st)
 {
-	register DIR *d;
-	register struct dirent *dp;
-	register char *cp;
+	DIR *d;
+	struct dirent *dp;
+	char *cp;
 	char *otp;
 	int len;
 
@@ -539,9 +539,9 @@
  * stamp file.
  */
 static void
-notify(char *file, char *rhost, register struct namelist *to, time_t lmod)
+notify(char *file, char *rhost, struct namelist *to, time_t lmod)
 {
-	register int fd, len;
+	int fd, len;
 	struct stat stb;
 	FILE *pf;
 
@@ -617,7 +617,7 @@
 int
 inlist(struct namelist *list, char *file)
 {
-	register struct namelist *nl;
+	struct namelist *nl;
 
 	for (nl = list; nl != NULL; nl = nl->n_next)
 		if (!strcmp(file, nl->n_name))
@@ -631,8 +631,8 @@
 int
 except(char *file)
 {
-	register struct	subcmd *sc;
-	register struct	namelist *nl;
+	struct	subcmd *sc;
+	struct	namelist *nl;
 	regex_t rx;
 	int val;
 
@@ -661,7 +661,7 @@
 }
 
 char *
-colon(register char *cp)
+colon(char *cp)
 {
 
 	while (*cp) {
Index: usr.bin/rdist/expand.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/expand.c,v
retrieving revision 1.5
diff -u -r1.5 expand.c
--- usr.bin/rdist/expand.c	25 Nov 2007 18:10:07 -0000	1.5
+++ usr.bin/rdist/expand.c	24 Aug 2008 09:51:36 -0000
@@ -83,8 +83,8 @@
 struct namelist *
 expand(struct namelist *list, int wh)
 {
-	register struct namelist *nl, *prev;
-	register int n;
+	struct namelist *nl, *prev;
+	int n;
 	char pathbuf[BUFSIZ];
 	char *argvbuf[GAVSIZ];
 
@@ -94,7 +94,7 @@
 	}
 
 	if (wh == 0) {
-		register char *cp;
+		char *cp;
 
 		for (nl = list; nl != NULL; nl = nl->n_next)
 			for (cp = nl->n_name; *cp; cp++)
@@ -140,8 +140,8 @@
 static void
 expstr(char *s)
 {
-	register char *cp, *cp1;
-	register struct namelist *tp;
+	char *cp, *cp1;
+	struct namelist *tp;
 	char *tail;
 	char buf[BUFSIZ];
 	int savec, oeargc;
@@ -252,8 +252,8 @@
 static void
 expsh(char *s)
 {
-	register char *cp;
-	register char *spathp, *oldcp;
+	char *cp;
+	char *spathp, *oldcp;
 	struct stat stb;
 
 	spathp = pathp;
@@ -290,7 +290,7 @@
 matchdir(char *pattern)
 {
 	struct stat stb;
-	register struct dirent *dp;
+	struct dirent *dp;
 	DIR *dirp;
 
 	dirp = opendir(path);
@@ -330,7 +330,7 @@
 execbrc(char *p, char *s)
 {
 	char restbuf[BUFSIZ + 2];
-	register char *pe, *pm, *pl;
+	char *pe, *pm, *pl;
 	int brclev;
 	char *lm, savec, *spathp;
 
@@ -410,8 +410,8 @@
 static int
 match(char *s, char *p)
 {
-	register int c;
-	register char *sentp;
+	int c;
+	char *sentp;
 	char sexpany;
 
 	sexpany = expany;
@@ -426,9 +426,9 @@
 }
 
 static int
-amatch(register char *s, register char *p)
+amatch(char *s, char *p)
 {
-	register int scc;
+	int scc;
 	int ok, lc, c, cc;
 	char *spathp;
 	struct stat stb;
@@ -514,9 +514,9 @@
 }
 
 static int
-smatch(register char *s, register char *p)
+smatch(char *s, char *p)
 {
-	register int scc;
+	int scc;
 	int ok, lc, c, cc;
 
 	for (;;) {
@@ -571,10 +571,10 @@
 }
 
 static void
-Cat(register char *s1, register char *s2)
+Cat(char *s1, char *s2)
 {
 	int len;
-	register char *s;
+	char *s;
 
 	len = strlen(s1) + strlen(s2) + 1;
 	nleft -= len;
@@ -609,9 +609,9 @@
  * part corresponding to `file'.
  */
 char *
-exptilde(char buf[], register char *file, int maxlen)
+exptilde(char buf[], char *file, int maxlen)
 {
-	register char *s1, *s2, *s3;
+	char *s1, *s2, *s3;
 	extern char homedir[];
 
 	if (strlen(file) >= maxlen)
Index: usr.bin/rdist/gram.y
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/gram.y,v
retrieving revision 1.4
diff -u -r1.4 gram.y
--- usr.bin/rdist/gram.y	24 Jul 2004 19:45:10 -0000	1.4
+++ usr.bin/rdist/gram.y	24 Aug 2008 18:26:59 -0000
@@ -141,7 +141,7 @@
 		;
 
 cmd:		  INSTALL options opt_namelist SM = {
-			register struct namelist *nl;
+			struct namelist *nl;
 
 			$1->sc_options = $2 | options;
 			if ($3 != NULL) {
@@ -214,11 +214,11 @@
 extern	FILE *fin;
 
 int
-yylex()
+yylex(void)
 {
 	static char yytext[INMAX];
-	register int c;
-	register char *cp1, *cp2;
+	int c;
+	char *cp1, *cp2;
 	static char quotechars[] = "[]{}*?$";
 	
 again:
@@ -365,7 +365,7 @@
 }
 
 int
-any(register int c, register char *str)
+any(int c, char *str)
 {
 	while (*str)
 		if (c == *str++)
@@ -379,8 +379,8 @@
 void
 insert(char *label, struct namelist *files, struct namelist *hosts, struct subcmd *subcmds)
 {
-	register struct cmd *c, *prev, *nc;
-	register struct namelist *h, *next_h;
+	struct cmd *c, *prev, *nc;
+	struct namelist *h, *next_h;
 
 	files = expand(files, E_VARS|E_SHELL);
 	hosts = expand(hosts, E_ALL);
@@ -427,7 +427,7 @@
 void
 append(char *label, struct namelist *files, char *stamp, struct subcmd *subcmds)
 {
-	register struct cmd *c;
+	struct cmd *c;
 
 	c = ALLOC(cmd);
 	if (c == NULL)
@@ -450,8 +450,7 @@
  * Error printing routine in parser.
  */
 void
-yyerror(s)
-	char *s;
+yyerror(char *s)
 {
 	++nerrs;
 	fflush(stdout);
@@ -464,7 +463,7 @@
 static char *
 makestr(char *str)
 {
-	register char *cp, *s;
+	char *cp, *s;
 
 	str = cp = malloc(strlen(s = str) + 1);
 	if (cp == NULL)
@@ -480,7 +479,7 @@
 struct namelist *
 makenl(char *name)
 {
-	register struct namelist *nl;
+	struct namelist *nl;
 
 	nl = ALLOC(namelist);
 	if (nl == NULL)
@@ -496,7 +495,7 @@
 struct subcmd *
 makesubcmd(int type)
 {
-	register struct subcmd *sc;
+	struct subcmd *sc;
 
 	sc = ALLOC(subcmd);
 	if (sc == NULL)
